---
title: Delete an OAuth2 client credentials auth method
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Webhooks Integration
---

# Delete an OAuth2 client credentials auth method{% #delete-an-oauth2-client-credentials-auth-method %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                                          |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} |

### Overview

Delete an OAuth2 client credentials auth method by ID. This endpoint requires the `manage_integrations` permission.

### Arguments

#### Path Parameters

| Name                             | Type   | Description                  |
| -------------------------------- | ------ | ---------------------------- |
| auth_method_id [*required*] | string | The UUID of the auth method. |

### Response

{% tab title="204" %}
OK
{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export auth_method_id="CHANGE_ME" \# Curl command curl -X DELETE "https://api.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/${auth_method_id}" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
